mplate_decoder/urls.py
from django.urls import path

from . import views

app_name = 'mplate_decoder'
urlpatterns = [
     path('decode/', views.MplateCreate.as_view(),
          name='mplate_create'),
     path('<slug:chassis_number_short>', views.MplateRetrieve.as_view(),
          name='mplate_retrieve'),
     path('<slug:chassis_number_short>/update/', views.MplateUpdate.as_view(),
          name='mplate_update'),
     path('<slug:chassis_number_short>/delete/', views.MplateDelete.as_view(),
          name='mplate_delete'),
     path('', views.MplateIndex.as_view(),
          name='mplate_index'),
     path('about/', views.MplateAbout.as_view(),
          name='mplate_about'),
     path('search/', views.SearchResultsView.as_view(),
          name='search_results'),
]

vw_type2_id/urls.py
from django.contrib import admin
from django.urls import include, path
from django.views.generic import TemplateView

urlpatterns = [
    path('', TemplateView.as_view(template_name='home.html'), name='home'),
    path('admin/', admin.site.urls),
    path('mplate/', include('mplate_decoder.urls')),
]

vw_type2_id/templates/base_bootstrap.html
{% load navactive %}
{% load static %}

<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous">

    <!-- Local CSS -->
    <link rel="stylesheet" href="{% static 'css/main.css' %}">

    {% block style %}<!-- Additional styles -->{%endblock%}

    {% block title %}<title>VW M-plate decoder</title>{% endblock %}
  </head>

  <body>

    <!-- Navigation bar -->
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
      <a class="navbar-brand" href="#">VW Type 2 ID</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item {% navactive request 'home' %}">
            <a class="nav-link" href="/">{{ 'Home'|upper }}</a>
          </li>
            <li class="nav-item {% navactive request 'mplate_decoder:mplate_index' %}">
            <a class="nav-link" href="{% url 'mplate_decoder:mplate_index' %}">{{ 'M-Plate info'|upper }}</a>
          </li>
          <li class="nav-item {% navactive request 'mplate_decoder:mplate_create' %}">
            <a class="nav-link" href="{% url 'mplate_decoder:mplate_create' %}">{{ 'M-Plate decoder'|upper }}</a>
          </li>
          <li class="nav-item {% navactive request 'mplate_decoder:mplate_about' %}">
            <a class="nav-link" href="{% url 'mplate_decoder:mplate_about' %}">{{ 'About'|upper }}</a>
          </li>
        </ul>
        <form class="form-inline my-2 my-lg-0" action="{% url 'mplate_decoder:search_results' %}" method="get">
          <input name="q" class="form-control mr-sm-2" type="text" placeholder="Search M-codes (e.g. 500)" aria-label="Search">
          <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
        </form>
      </div>
    </nav>

    <!-- Content -->
    <div class="container">
      {% block content %}<!-- Content here -->{% endblock %}
    </div>
    {% block contentnocontainer %}<!-- Content that defines its own container here -->{% endblock %}

    <!-- JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
		  src="https://code.jquery.com/jquery-3.4.1.min.js"
			integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
			crossorigin="anonymous"></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"></script>

    <script
      src="https://unpkg.com/ionicons@4.5.10-0/dist/ionicons.js"
      integrity="SUKVFL96/F3W7HeIynfEsxa4KzwJDaMoDmUg55kklFVgIfxhDIrvEkQIHfLfGV2J"
      crossorigin="anonymous" ></script>

    {% block javascript %}<!-- Additional JavaScript -->{% endblock %}

  </body>
</html>

vw_type2_id/templates/home.html
{% extends "base_bootstrap.html" %}

{% block contentnocontainer %}

<div class="jumbotron jumbotron-fluid">
  <div class="container">
    <h1 class="display-4">Volkswagen Type 2 identification</h1>
    <p class="lead">A set of tools to identify VW Type 2 vehicles for model years 1968 to 1979.</p>
  </div>
</div>

<div class="container">
  <div class="row">
    <div class="col-md">
      <h2>M-plate decoder</h2>
      <p>Decode the M-plate and find information about your bus. </p>
      <p><a class="btn btn-secondary" href="{% url 'mplate_decoder:mplate_index'%}" role="button">Learn more &raquo;</a></p>
    </div>
    <div class="col-md">
      <h2>Engine number decoder</h2>
      <p>Coming soon</p>
    </div>
</div>

{% endblock %}